Displaying 20 results from an estimated 113 matches for "jq".
2008 Dec 06
1
R vs Python performance-wise
...s for both languages, and of course, there's a reliable way
to bind the two languages together, Rpy:
http://rpy.sourceforge.net/
So this may not be a big deal which one to pick.
Thanks,
-Jose
--
Jose Quesada, PhD.
Max Planck Institute, Human Development, Berlin
http://www.andrew.cmu.edu/~jquesada
2009 Oct 24
1
operations on sparse matrices, and dense intermediary steps
...OZwm7t5aIMMhaP182P19ziKhpp/Gn4joTnXUzigNHzt
vIPBOBgdZdPvC0h9ByvtCmMSX3roQPv1nMIojrPC0+EzfIVVNIcsfQYYacOyhcuM
/RR97aOzHvcdCln7FbrIT2I0SeeVH3scFGN7q7KFi6Sy+KZmQsv7FxfnUAvf5R+l
DAcm0ekeThksSmJE/Td1220ZguaORjyMHwAKfJH+wiXei24+N+Xf22469g2gCEWb
hiNUzhLHXOSY6mKZ80LKMbhUM4JhKs7K1HImwQmVDa/1UU1WwsjrzZ2fHHqnsjQi
Uysrttu1nbTT5Yvn9CT8gedM7A78sIddjpi1PavbRVJl7/eDN5PGgwilQ70DNetJ
PY8QvLGlA4GGtdvTzxFVP2VK0QgfxmRedrEwqxR1AlIZRn9iK8jrZCXTGLeXe5LX
BX7PQXs11ZfuW/kzDBstqobCrxSERRb/HP5BlY+mKmZ0SieoVkpLeJ7PdeHu+r31
8bsZPkeHaO5MR1KrG155JOK1vgmHPpfSiq0lNUT99hncoFKBvweDnE3Etx+tBra7
h9lxbDeHl6xkbCJj/LDb
=ZVWO
-----END PG...
2019 May 16
2
[PATCH] v2v: -o json: add a simple test for it
...eral Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test -o json.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_if_backend uml
+skip_unless_phony_guest windows.img
+skip_unless jq --version
+
+libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
+
+export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
+
+guestname=windows
+
+d=test-v2v-o-json.d
+rm -rf $d
+mkdir $d
+
+json=$d/$guestname.json
+
+$VG virt-v2v --debug-gc \
+...
2019 May 16
0
Re: [PATCH] v2v: -o json: add a simple test for it
...write to the Free Software
> +# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
> +
> +# Test -o json.
> +
> +set -e
> +
> +$TEST_FUNCTIONS
> +skip_if_skipped
> +skip_if_backend uml
> +skip_unless_phony_guest windows.img
> +skip_unless jq --version
> +
> +libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
> +
> +export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
> +
> +guestname=windows
> +
> +d=test-v2v-o-json.d
> +rm -rf $d
> +mkdir $d
> +
&...
2019 Mar 02
2
Getting the commit message from Phabricator
...your local repo first and so you need to have crafted your
commit message from your the Phabricator revision. (e.g. D12345)
Phabricator has the ability to give you this commit message it would have
used, even if you do not use arc to perform the commit/land
This small script (attached) uses arc, jq and sed (but it can be
relatively easily changed to use curl instead of arc)
You need to provide your own conduit api token in place of
<replace_with_phabricator_api_token>
You can get one of these from you Profile->Setting->Conduit API Tokens in
the top right hand corner of Phabrica...
2007 Jun 19
1
Matrix library error: "should never happen; please report"
...atures shown will be used)
diagonalMatrix#CsparseMatrix
ddenseMatrix#CsparseMatrix
in: .findInheritedMethods(classes, fdef, mtable)
I got 4 other copies of the same warning. Will play around a bit more...
This is really strange.
Thanks
--
Jose Quesada, PhD.
http://www.andrew.cmu.edu/~jquesada
2020 Oct 02
0
[libnbd PATCH v2 2/2] info: List available meta-contexts
...nfo/info-text.sh | 2 +
info/nbdinfo.c | 89 ++++++++++++++++++++++++++++++++++++++----
5 files changed, 91 insertions(+), 8 deletions(-)
diff --git a/info/info-json.sh b/info/info-json.sh
index 0f1c9fd..10bbac0 100755
--- a/info/info-json.sh
+++ b/info/info-json.sh
@@ -33,3 +33,5 @@ jq . < $out
test $( jq -r '.protocol' < $out ) != "newstyle"
test $( jq -r '.exports[0]."export-size"' < $out ) != "null"
test $( jq -r '.exports[0].is_read_only' < $out ) = "true"
+test $( jq -r '.exports[0].contexts[]...
2020 Sep 26
0
[PATCH nbdinfo v2] info: Add a --map option for displaying allocation metadata.
...copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+
+. ../tests/functions.sh
+
+set -e
+set -x
+
+requires nbdkit --version
+requires nbdsh --version
+requires jq --version
+
+out=info-base-allocation-json.out
+cleanup_fn rm -f $out
+rm -f $out
+
+# Note the memory plugin uses a 32K page size, and extents
+# are always aligned with this.
+nbdkit -U - memory 1M --run '
+ nbdsh -u "$uri" \
+ -c "h.pwrite(b\"\\x01\"*1310...
2020 Sep 26
2
[PATCH nbdinfo v2] info: Add a --map option for displaying allocation metadata.
Fixes bugs with JSON output in the previous patch, and adds some tests.
Rich.
2019 Jul 30
1
[nbdkit PATCH v2] tests: Accommodate qemu-img 4.1 output change
...5.0G' turned into '5
GiB'. But rather than worry about potential future changes to the
human-readable output, we can just use --output=json (at which point
we no longer even have to force qemu-img to the C locale). It might
be slightly more robust to find our specific information using jq, but
for now a grep of the output json is still reliable enough for our
needs.
If the '\b' is a problem on BSD, we could use '([, ]|$)' instead. Or
that's where jq would make it easier to parse off a given number
without worrying about what comes after the number.
Signed-off-...
2024 Jan 23
2
How to determine which cipher was used to encrypt OpenSSH private keys
On Mon, 22 Jan 2024, Jakub Jelen wrote:
> Hi,
> looking through the key specification, you can see that its the second
> field in the key file:
>
> https://github.com/openssh/openssh-portable/blob/master/PROTOCOL.key#L11
>
> It looks like there is no convenient way to get this information with
> openssh cli, but given that the file format is just base64 encoded,
> you
2023 Dec 05
3
[Bug 1726] New: invalid json generated by ipset list -output json
..."maxelem" : 65536,
"bucketsize" : 12,
"initval" : 0xdcadf93b,
---
This is the point where parsing fails. The "0x" prefix is not part of the JSON
grammar [1]. Popular JSON parsers fail on this:
---
root at gir:~# ipset list -output json | jq .
jq: parse error: Invalid numeric literal at line 11, column 29
---
It is strange that the JSON spec allows hex literals for unicode characters
within strings, but not 0x-prefixes in numbers. But it is what it is.
I think that this could be resolved by emitting the value as a decimal (%d), or
as...
2011 Feb 12
3
Using files .call or AMI
...dont know how transfer the call to this agent. I ask the extension and user before login so I know what agent is in each extension to transfer the call to rigth agent.
Anybody can give an idea ?TIA
*-------------------------------------------------------*
*-Edwin Quijada
*-Developer DataBase
*-JQ Microsistemas
*-Soporte PostgreSQL
*-www.jqmicrosistemas.com
*-809-849-8087
*-------------------------------------------------------*
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.digium.com/pipermail/asterisk-users/attachments/2...
2019 Apr 25
0
[nbdkit PATCH v2 5/5] nbd: Test .extents
...S SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# Unfortunately the output of this test depends on the PAGE_SIZE
+# defined in common/sparse/sparse.c and would change (breaking the
+# test) if we ever changed that definition.
+
+source ./functions.sh
+set -e
+set -x
+
+requires jq --version
+requires qemu-img --version
+requires qemu-img map --help
+
+out="test-nbd-extents.out"
+expected="test-nbd-extents.expected"
+socket="test-nbd-extents.sock"
+pid1="test-nbd-extents.pid1"
+pid2="test-nbd-extents.pid2"
+pid3="test-nbd...
2011 May 24
2
Can I write to wondows folder
...and i added these users to this group but it doesnt work, I did the same adding to Domain Admin and didnt .
There is a something way to give to these users access to can write into this folder
Thks.
*-------------------------------------------------------*
*-Edwin Quijada
*-Developer DataBase
*-JQ Microsistemas
*-Soporte PostgreSQL
*-www.jqmicrosistemas.com
*-809-849-8087
*-------------------------------------------------------*
2019 Mar 28
0
[PATCH nbdkit v5 FINAL 14/19] data, memory: Implement extents.
...is preserved properly along error return
* paths from failed system calls.
*/
diff --git a/README b/README
index 75230c9..497f4fd 100644
--- a/README
+++ b/README
@@ -152,6 +152,8 @@ To test for memory leaks (‘make check-valgrind’):
For non-essential enhancements to the test suite:
+ - jq
+
- ip, ss (from iproute package)
- losetup (from util-linux package)
diff --git a/tests/Makefile.am b/tests/Makefile.am
index dec44b5..174da29 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -53,6 +53,7 @@ EXTRA_DIST = \
test-cxx.sh \
test-data-7E.sh \
test-data-base64.sh \
+...
2016 Jan 14
0
Re: RFE: virt-builder ability to print definition for single template (new option or expand --notes) (#20)
...ified), but only for a particular template
> >
> > I think normal users need this option to be able to check the
> > `osinfo=` value for use with `virt-install` without having to
> > scroll/grep through all their templates
Theoretically, you can filter the JSON output using jq for the template
you need, and print its osinfo key; for example:
$ virt-builder --list --list-format \
| jq -r '.["templates"] | map(select(.["os-version"] == "fedora-23" and .["arch"] == "x86_64")) | .[0] | .["osinfo"]'
wil...
2010 Mar 07
3
Callcenter open source program
HI all:
Iam planning to use my asterisk box as callcenter?,any one can advice me with the best callcenter open source program based on asterisk .
?
Any help will be apreciated.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.digium.com/pipermail/asterisk-users/attachments/20100307/116f1b75/attachment.htm
2020 Aug 03
5
[libnbd PATCH 0/4] More nbdinfo fixes
This rounds up the remaining bugs that I originally identified in:
https://www.redhat.com/archives/libguestfs/2020-July/msg00153.html
Eric Blake (4):
api: Permit export list APIs when Connected
info: Support --list with serializing servers
info: Fix --json output when list size != 1
info: Permit --size --json
generator/API.ml | 6 +++---
info/info-list-json.sh | 9 +++++++++
2019 Mar 28
0
[PATCH nbdkit v5 FINAL 15/19] file: Implement extents.
...WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# The output of qemu-img map on the local sparse file ‘disk’ should be
+# identical to the output when we use the file plugin to read the
+# extents.
+
+source ./functions.sh
+set -e
+set -x
+
+requires jq --version
+requires qemu-img --version
+requires qemu-img map --help
+
+files="test-file-extents.out test-file-extents.expected"
+rm -f $files
+cleanup_fn rm -f $files
+
+qemu-img map -f raw --output=json disk |
+ jq -c '.[] | {start:.start, length:.length, data:.data, zero:.zero}&...